> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
> Use this file to discover all available pages before exploring further.

# Bayi banka profillerini listele



## OpenAPI

````yaml /api-reference/sanal-pos/openapi.json get /api/v1/merchants/{merchant_id}/bank-profiles
openapi: 3.0.4
info:
  title: Payven Sanal POS API
  description: >-
    Payven Sanal POS — çoklu banka kart ödemeleri, 3D Secure, akıllı
    yönlendirme, mutabakat ve webhook altyapısı.
  termsOfService: https://payven.com.tr/sozlesmeler
  contact:
    name: Payven Developer Support
    url: https://docs.payven.com.tr
    email: destek@payven.com.tr
  license:
    name: Payven API License
    url: https://payven.com.tr/sozlesmeler/api-lisansi
  version: '1.0'
servers:
  - url: https://vpos-sandbox.payven.com.tr
    description: Sandbox
  - url: https://vpos.payven.com.tr
    description: Production
security:
  - bearerAuth: []
tags:
  - name: ApiRequestLogs
    x-displayName: API İstek Kayıtları
  - name: CancellationRequests
    x-displayName: İptal Talepleri
  - name: Chargebacks
    x-displayName: Chargeback
  - name: CheckoutSessions
    x-displayName: Hosted Checkout
  - name: ConnectorConfigurations
    x-displayName: Konnektör Konfigürasyonları
  - name: ConnectorErrorCodes
    x-displayName: Konnektör Hata Kodları
  - name: Connectors
    x-displayName: Konnektörler
  - name: Dashboard
    x-displayName: Dashboard
  - name: Health
    x-displayName: Sağlık
  - name: MerchantBankProfiles
    x-displayName: Bayi Banka Profilleri
  - name: Payments
    x-displayName: Ödemeler
  - name: Reconciliations
    x-displayName: Mutabakat
  - name: Refunds
    x-displayName: İadeler
  - name: RoutingRules
    x-displayName: Yönlendirme Kuralları
  - name: Settings
    x-displayName: Ayarlar
  - name: Settlements
    x-displayName: Settlement
  - name: SimpleRoutingRules
    x-displayName: Basit Yönlendirme Kuralları
  - name: TestCards
    x-displayName: Test Kartları
  - name: Trace
    x-displayName: Trace
  - name: Transactions
    x-displayName: İşlemler
  - name: Webhooks
    x-displayName: Webhook'lar
paths:
  /api/v1/merchants/{merchant_id}/bank-profiles:
    get:
      tags:
        - MerchantBankProfiles
      summary: Bayi banka profillerini listele
      operationId: listMerchantBankProfiles
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MerchantBankProfileDto'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/ServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    MerchantBankProfileDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        merchant_id:
          type: string
          format: uuid
        connector_config_id:
          type: string
          format: uuid
        connector_config_name:
          type: string
          nullable: true
        connector_code:
          type: string
          nullable: true
        bank_code:
          type: string
          nullable: true
        sub_merchant_id:
          type: string
          nullable: true
        sub_merchant_name:
          type: string
          nullable: true
        sub_merchant_mcc:
          type: string
          nullable: true
        sub_merchant_postal_code:
          type: string
          nullable: true
        sub_merchant_city:
          type: string
          nullable: true
        sub_merchant_country_code:
          type: string
          nullable: true
        extra_properties:
          type: object
          additionalProperties:
            type: string
          nullable: true
        created:
          type: string
          format: date-time
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  responses:
    Unauthorized:
      description: '`Authorization` header eksik, geçersiz veya süresi dolmuş.'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/invalid_token
            title: Geçersiz token
            status: 401
            code: invalid_token
            detail: Access token geçersiz veya süresi dolmuş — refresh edin.
    Forbidden:
      description: Yetki yok, lisans yok veya merchant pasif.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/forbidden
            title: Yetki yok
            status: 403
            code: forbidden
            detail: Bu rol bu kaynağı göremez.
    NotFound:
      description: Kaynak bulunamadı.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/resource_not_found
            title: Kaynak bulunamadı
            status: 404
            code: resource_not_found
    TooManyRequests:
      description: Rate limit aşıldı. `Retry-After` header'ına uyun.
      headers:
        Retry-After:
          description: Yeniden denemeden önce beklemeniz gereken saniye sayısı.
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/rate_limit_exceeded
            title: İstek limiti aşıldı
            status: 429
            code: rate_limit_exceeded
    ServerError:
      description: >-
        Sunucu hatası. Exponential backoff ile tekrar deneyin (Idempotency-Key
        ile).
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/internal_server_error
            title: Sunucu hatası
            status: 500
            code: internal_server_error
    ServiceUnavailable:
      description: >-
        Hedef konnektör geçici olarak devre dışı (circuit breaker açık) veya
        bağımlılık servisi erişilemez.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
          example:
            type: https://docs.payven.com.tr/errors/connector_unavailable
            title: Konnektör erişilemez
            status: 503
            code: connector_unavailable
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Identity servisinden alinan Keycloak JWT. Format: `Authorization: Bearer
        <token>`. Token alma: POST /api/v1/auth/{slug}/token

````